Look Up Market
curl --request GET \
--url https://api.parlayx.com/v1/markets \
--header 'PX-Content-Sha256: <px-content-sha256>' \
--header 'PX-Key-Id: <px-key-id>' \
--header 'PX-Signature: <px-signature>' \
--header 'PX-Timestamp: <px-timestamp>'import requests
url = "https://api.parlayx.com/v1/markets"
headers = {
"PX-Key-Id": "<px-key-id>",
"PX-Timestamp": "<px-timestamp>",
"PX-Signature": "<px-signature>",
"PX-Content-Sha256": "<px-content-sha256>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'PX-Key-Id': '<px-key-id>',
'PX-Timestamp': '<px-timestamp>',
'PX-Signature': '<px-signature>',
'PX-Content-Sha256': '<px-content-sha256>'
}
};
fetch('https://api.parlayx.com/v1/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"markets": [
{
"id": "mkt_36b618b2-a9ee-529a-9854-0c5ce1ca04cc",
"title": "Vinnie Pasquantino: Home Runs O/U 0.5",
"outcomes": [
{
"name": "Over",
"listings": [
{
"venue": "POLYMARKET",
"tokenId": "18880079750227829983884034851154743863020946982779905261595472835484541675290",
"executable": true
}
]
}
],
"line": "0.5"
}
]
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Discovery
Look Up Market
Resolves a venue identifier back to the canonical market and its outcomes. Provide exactly one identifier.
GET
/
v1
/
markets
Look Up Market
Headers
The key id issued for your signing keypair.
Unix seconds at signing, valid within 30 seconds of the server clock.
Ed25519 signature of the request
Hex SHA-256 of the request body, or the SHA-256 of the empty string when there is no body.
Query Parameters
Look up by Polymarket token id.
Example:
"7132104567925221259462638553270691275033272857194253228963137931245558399256"
Look up by Kalshi market ticker.
Example:
"KXMLBGAME-26JUL25SFPHI-SF"
Look up by Polymarket condition id.
Example:
"0x1234abcd"
Look up by Polymarket market slug.
Example:
"giants-vs-phillies-2026-07-25"
Response
The resolved markets
The canonical markets the venue identifier resolves to.
Show child attributes
Show child attributes